[Libguestfs] [PATCH 6/6] tests: Add a regression test for RHBZ#1477623.

Richard W.M. Jones rjones at redhat.com
Thu Aug 3 17:13:51 UTC 2017


---
 tests/regressions/Makefile.am    |  2 ++
 tests/regressions/rhbz1477623.sh | 49 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/tests/regressions/Makefile.am b/tests/regressions/Makefile.am
index aef6982d1..25833824c 100644
--- a/tests/regressions/Makefile.am
+++ b/tests/regressions/Makefile.am
@@ -50,6 +50,7 @@ EXTRA_DIST = \
 	rhbz1285847.sh \
 	rhbz1370424.sh \
 	rhbz1370424.xml \
+	rhbz1477623.sh \
 	test-noexec-stack.pl
 
 TESTS = \
@@ -80,6 +81,7 @@ TESTS = \
 	rhbz1232192.sh \
 	rhbz1285847.sh \
 	rhbz1370424.sh \
+	rhbz1477623.sh \
 	test-big-heap \
 	test-noexec-stack.pl \
 	$(SLOW_TESTS)
diff --git a/tests/regressions/rhbz1477623.sh b/tests/regressions/rhbz1477623.sh
new file mode 100755
index 000000000..9892a4d07
--- /dev/null
+++ b/tests/regressions/rhbz1477623.sh
@@ -0,0 +1,49 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2017 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Regression test for:
+# https://bugzilla.redhat.com/show_bug.cgi?id=1477623
+# Check that the 'file' API doesn't break on some chardevs.
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+skip_unless_phony_guest fedora.img
+
+d=rhbz1477623.img
+rm -f $d
+
+guestfish -- \
+          disk-create $d qcow2 -1 \
+          backingfile:$top_builddir/test-data/phony-guests/fedora.img \
+          backingformat:raw
+
+guestfish -a $d -i <<EOF
+  mkdir /dev
+  mknod-c 0777 5 1 /dev/console
+  mknod-c 0777 10 175 /dev/agpgart
+
+  # This used to hang.
+  file /dev/console
+
+  # This used to print "No such file or directory"
+  file /dev/agpgart
+EOF
+
+rm $d
-- 
2.13.1




More information about the Libguestfs mailing list